Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.lucene41
Class Lucene41PostingsBaseFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsBaseFormat
          org.apache.lucene.codecs.lucene41.Lucene41PostingsBaseFormat

    public final class Lucene41PostingsBaseFormat

extends PostingsBaseFormat

Provides a `PostingsReaderBase` and `PostingsWriterBase`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsBaseFormat
`name`

Constructor Summary
`Lucene41PostingsBaseFormat()` Sole constructor.

Method Summary
`PostingsReaderBase` | `postingsReaderBase(SegmentReadState state)` Creates the `PostingsReaderBase` for this format.
`PostingsWriterBase` | `postingsWriterBase(SegmentWriteState state)` Creates the `PostingsWriterBase` for this format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene41PostingsBaseFormat

    public Lucene41PostingsBaseFormat()

  Sole constructor.

Method Detail

### postingsReaderBase

    public PostingsReaderBase postingsReaderBase(SegmentReadState state)
                                          throws IOException

  Description copied from class: `PostingsBaseFormat`
  Creates the `PostingsReaderBase` for this format.

  Specified by:
    `postingsReaderBase` in class `PostingsBaseFormat`
  Throws:
    `IOException`

### postingsWriterBase

    public PostingsWriterBase postingsWriterBase(SegmentWriteState state)
                                          throws IOException

  Description copied from class: `PostingsBaseFormat`
  Creates the `PostingsWriterBase` for this format.

  Specified by:
    `postingsWriterBase` in class `PostingsBaseFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.